<?php
include('../common/parseargs.php');
include('../common/getObject.php');

$USAGE=" --disksafeid=<disksafeid> [optionalparams: --disksafedesc=<disksafedesc> --disksafepath=<disksafepath>  --agentid=<agentid> --volumeid=<volumeid> --open=<true/false> --compressiontype=<compressiontype> --compressionlevel=<compressionlevel> --devicebackuptype=<devicebackuptype> ]";

include('../common/basicargcheck.php');

if ($argc < 2) { 
	usage($argv[0],$USAGE);
	exit(1);
}


#arguments
$DISKSAFEDESC=$args_array['disksafedesc'];
$DISKSAFEPATH=$args_array['disksafepath'];
$DISKSAFEID=$args_array['disksafeid'];
$AGENTID=$args_array['agentid'];
$VOLUMEID=$args_array['volumeid'];
$OPEN=$args_array['open'];
$COMPRESSIONTYPE=$args_array['compressiontype'];
$COMPRESSIONLEVEL=$args_array['compressionlevel'];
$DEVICEBACKUPTYPE=$args_array['devicebackuptype'];

if(!$DISKSAFEID)
{
	echo "ERROR: --disksafeid=<disksafeid> must be defined\n";
	usage($argv[0],$USAGE); 
	exit(1); 
}

$diskSafeObj = getDiskSafes($USER,$PASS,$HOST,$PORT);

foreach($diskSafeObj->return as $tmp)
{
	if($tmp->id == $DISKSAFEID)
	{
		$diskSafe = $tmp;
		break;
	}
}

if($DISKSAFEDESC)
{
	$diskSafe->description = $DISKSAFEDESC;
}

if($DISKSAFEPATH)
{
	$diskSafe->path = $DISKSAFEPATH;
}

if($AGENTID)
{
	$diskSafe->agentID = $AGENTID;
}

if($VOLUMEID)
{
	$diskSafe->volumeID = $VOLUMEID;
}

if($OPEN)
{
	$diskSafe->open = $OPEN;
}

if($COMPRESSIONTYPE)
{
	$diskSafe->compressionType = $COMPRESSIONTYPE;
}

if($COMPRESSIONLEVEL)
{
	$diskSafe->compressionLevel = $COMPRESSIONLEVEL;
}

if($DEVICEBACKUPTYPE)
{
	$diskSafe->deviceBackupType = $DEVICEBACKUPTYPE;
}

try{
	$client = new soapclient("https://$HOST:$PORT/DiskSafe?wsdl",
		array('login'=>"$USER", 
		'password'=>"$PASS",
		'trace'=>1,
		)
	);

	$client->updateDiskSafe(array('diskSafe'=>$diskSafe));

	echo "Successfully executed updateDiskSafe\n";

} 
catch (SoapFault $exception)
{
	echo $exception;
}
?> 
